<?xml version="1.0" encoding="UTF-8"?>
<domain-models xmlns="http://axelor.com/xml/ns/domain-models"
               xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
               xsi:schemaLocation="http://axelor.com/xml/ns/domain-models
  http://axelor.com/xml/ns/domain-models/domain-models_5.4.xsd">

  <module name="invoice" package="com.axelor.apps.invoice.db"/>
  <sequence name="invoice.seq" increment="1" initial="1" prefix="FC" padding="8" />
  <entity name="Invoice">
    <string name="code" sequence="invoice.seq"  readonly="true" namecolumn="true"/>
    <integer name="state" selection="invoice.invoice.state.select"  readonly="true"/>
    <many-to-one name="customer" ref="com.axelor.apps.contact.db.Contact" title="Customer" required="true" />
    <date name="invoiceDate" title="Invoice date">
      <![CDATA[
        return LocalDate.now();
]]>
    </date>
    <one-to-many name="invoiceLines" ref="InvoiceLine" mappedBy="invoice" />
    <decimal name="totalWithoutTax" title="Total without tax" readonly="true"/>
    <decimal name="totalTaxIncluded" title="total Tax included" readonly="true" />
    <boolean name="invoiceLinesAreChanged" transient="true" default="false" />
    <extra-imports>
      <![CDATA[
      import com.axelor.apps.invoice.db.repo.InvoiceRepository;
    ]]>
    </extra-imports>
    <extra-code><![CDATA[
    public final static Integer DRAFT_INVOICE = 0;
    public final static Integer VALIDATED_INVOICE= 1;
    ]]>
    </extra-code>
  </entity>

</domain-models>
